org.eclnt.jsfserver.elements.componentnodes

## Class HTROWDYNAMICCONTENTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTROWDYNAMICCONTENTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTROWDYNAMICCONTENTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTROWDYNAMICCONTENTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTROWDYNAMICCONTENTNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTROWDYNAMICCONTENTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTROWDYNAMICCONTENTNode` | `bindContentbinding(IDynamicContentBindingObject value)`
    `HTROWDYNAMICCONTENTNode` | `bindHeight(IDynamicContentBindingObject value)`
    `HTROWDYNAMICCONTENTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTROWDYNAMICCONTENTNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTROWDYNAMICCONTENTNode` | `setAttributemacro(java.lang.String value)`
    `HTROWDYNAMICCONTENTNode` | `setComment(java.lang.String value)`
    `HTROWDYNAMICCONTENTNode` | `setConfiginfo(java.lang.String value)`
    `HTROWDYNAMICCONTENTNode` | `setContentbinding(java.lang.String value)`
    `HTROWDYNAMICCONTENTNode` | `setHeight(int value)`
    `HTROWDYNAMICCONTENTNode` | `setHeight(java.lang.String value)`
    `HTROWDYNAMICCONTENTNode` | `setId(java.lang.String value)`
    `HTROWDYNAMICCONTENTNode` | `setReference(java.lang.String value)`
    `HTROWDYNAMICCONTENTNode` | `setRendered(boolean value)`
    `HTROWDYNAMICCONTENTNode` | `setRendered(java.lang.String value)`
    `HTROWDYNAMICCONTENTNode` | `setWidth(int value)`
    `HTROWDYNAMICCONTENTNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTROWDYNAMICCONTENTNode

          public HTROWDYNAMICCONTENTNode()

  - ### Method Detail

    - #### setId

          public HTROWDYNAMICCONTENTNode setId(java.lang.String value)

    - #### setAttributemacro

          public HTROWDYNAMICCONTENTNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTROWDYNAMICCONTENTNode setComment(java.lang.String value)

    - #### bindComment

          public HTROWDYNAMICCONTENTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTROWDYNAMICCONTENTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTROWDYNAMICCONTENTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setContentbinding

          public HTROWDYNAMICCONTENTNode setContentbinding(java.lang.String value)

    - #### bindContentbinding

          public HTROWDYNAMICCONTENTNode bindContentbinding(IDynamicContentBindingObject value)

    - #### setHeight

          public HTROWDYNAMICCONTENTNode setHeight(java.lang.String value)

    - #### bindHeight

          public HTROWDYNAMICCONTENTNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HTROWDYNAMICCONTENTNode setHeight(int value)

    - #### setReference

          public HTROWDYNAMICCONTENTNode setReference(java.lang.String value)

    - #### setRendered

          public HTROWDYNAMICCONTENTNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTROWDYNAMICCONTENTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTROWDYNAMICCONTENTNode setRendered(boolean value)

    - #### setWidth

          public HTROWDYNAMICCONTENTNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTROWDYNAMICCONTENTNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTROWDYNAMICCONTENTNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.